$(function() {
  $('#filterForm').submit(function(e) {
    e.preventDefault();
    var formData = $(this).serializeArray();
    $.post("files/json_list", formData, function(response) {
      var data = JSON.parse(response);
      var files = data.files;
//      console.log(files);
      $('#fileList').empty();
      for (var i=0; i<files.length; i++) {
//        console.log(files[i]);
        var $file = getJQ(files[i]);
        $('#fileList').append($file);
      }
    });
  });
});

function getJQ(f) {
  var jq = $("<div />").data("data", f).addClass("fileItem").text(f.type + ": " + f.title);
  jq.click(function() {
    var d = $(this).data("data");
    switch (d.type) {
      case "image":
        var html = "<img src='" + d.url + "' />";
        break;
      default:
        var html = "<a href='" + d.url + "'>Click to view</a>";
    }
    $('#previewPane').html(html);
  });
  return jq;
}

